/*
 * header.h - Skey OTP calcualtor header
 *
 * Anna Khizhnyak, University of Michigan, July 2001
 */

#ifndef HEADER_H
#define HEADER_H

#include <scrw.h>
#include <ctapi.c>
#include <Pilot.h>				
#include <stdlib.h>
#include <string.h>
#include <SysAll.h>
#include <UI/UIAll.h>
#include <CharAttr.h>
#include <SysEvtMgr.h>
#include <System/DataMgr.h>
#include <System/SerialMgr.h>
#include <System/SerialLinkMgr.h>

#include "pswd_calculator.h"

#ifdef __GNUC__
#include "callback.h"
#endif __GNUC__

static char MyStringList[((10 * MaxNumStr)+1)];//max len of seed = 10
unsigned char AUT0[] = {0xad, 0x9f, 0x61, 0xfe, 0xfa, 0x20, 0xce, 0x63};
unsigned char One_time_pswd[8];
static VoidHand hpacked = 0;
static VoidHand hpoint = 0;
unsigned char INS = 0x20;
static DmOpenRef gDB;
static UInt strNum;
int BuffLen = 64;
int SeedLen = 20;
int sw1p, sw2p;
int myfd = -1;

#ifdef OO_CARD
   int  class_byte = 0x00;
#else
   int  class_byte = 0xf0;
#endif

void ListAllocate();
int openReader();
Int scOTP_clear(Word objID);
Int scOTP_compute();
Int scOTP_save();
void select(Word choice);
void Record(); 
Boolean Store(CharPtr s);
Word Scrol(Word choice);
Boolean SaveInDatabase();
void SaveRec(Word offset, Word len, Word number);
Boolean SpaceElim(CharPtr string);
void Output(CharPtr string, FieldPtr fld, Boolean erase);
void closeReader();
VoidPtr getObject (FormPtr frm, Word objID);
void ReadRecord(Word cursor,CharPtr MSL);
void sevenbit (unsigned char *s);
void buttons_off_on(Boolean on, FormPtr frm);
char* btoe(char* engout,char* c);
Int  card_compute(char buf[12]);
void card_save(char input[17]);

#endif
/*
copyright 1998
the regents of the university of michigan
all rights reserved

permission is granted to use, copy, create derivative works
and redistribute this software and such derivative works
for any purpose, so long as the name of the university of
michigan is not used in any advertising or publicity
pertaining to the use or distribution of this software
without specific, written prior authorization.  if the
above copyright notice or any other identification of the
university of michigan is included in any copy of any
portion of this software, then the disclaimer below must
also be included.

this software is provided as is, without representation
from the university of michigan as to its fitness for any
purpose, and without warranty by the university of
michigan of any kind, either express or implied, including
without limitation the implied warranties of
merchantability and fitness for a particular purpose. the
regents of the university of michigan shall not be liable
for any damages, including special, indirect, incidental, or
consequential damages, with respect to any claim arising
out of or in connection with the use of the software, even
if it has been or is hereafter advised of the possibility of
such damages.
*/
